Home - Knowledge Base Search - Knowledge Base Article
Knowledge Base Search

KB Article: 71264
KB Category: [Products & Services]
KB Sub-category: [Product Specifications]

Hitman Sniper minimum requirements

OS: 8.0 or newer
iPad 2 and above
iPad Mini and above
iPhone 4S and above
iPod Touch 5th Generation.

OS: 4.1 or later (JellyBean)
Memory: 1GB or more
GPU: Equivalent to Adreno 220 or better
Please note that we cannot guarantee that the game will run on all Android devices even if they meet these criteria.